OfonoCellBroadcast Class Reference

This class is used to access oFono cell broadcast API. More...

`#include <ofonocellbroadcast.h>`

Inheritance diagram for OfonoCellBroadcast:

## Signals

void | powerChanged (bool)
void | topicsChanged (const QString &)
void | incomingBroadcast (const QString &, quint16)
void | emergencyBroadcast (const QString &, const QVariantMap &)
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoCellBroadcast (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
QString | path () const
bool | powered () const
void | setPowered (bool b)
QString | topics () const
void | setTopics (const QString &) const
QString | errorName () const
QString | errorMessage () const
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Properties

QString | path
QString | errorName
QString | errorMessage
bool | powered
QString | topics
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if

## Detailed Description

This class is used to access oFono cell broadcast API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/cell-broadcast-api.txt

The documentation for this class was generated from the following file:

- lib/ofonocellbroadcast.h